<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<title>Documento sin título</title>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
	<link href="objetos.css" rel="stylesheet" type="text/css">
	<script src="o4.js"></script>
</head>

<body>
	<div class="cajas entrada">
		<pre>
			/* 
				Creamos la clase
			*/

			const Caja = function (ancho, alto, texto) {
				// propiedad privada
				let unidad = "px";

				// propiedades publicas
				this.ancho = ancho;
				this.alto = alto;
				this.texto = texto;

				// metodo privado
				function concatenar() {
					this.ancho = this.ancho + unidad;
					this.alto = this.alto + unidad;
				}

				//metodos publicos
				this.mensaje = function () {
					this.texto = "esto es un ejemplo";
				};
				this.mostrar = function () {
					alert(this.texto);
				};
			};
			/*
				Creamos el objeto
			*/
			const objeto = new Caja(10, 20, "hola mundo");

			console.log(objeto.alto);
			objeto.mostrar();
		</pre>
	</div>
	<div class="cajas salida">
		<div class="titulo">Ejemplo 4
		</div>
		<div class="explicacion">
			Vamos a crear un objeto a partir de la clase "caja". Accederemos a los miembros del objeto. ¿Podemos acceder
			a concatenar?
		</div>
	</div>
</body>

</html>